# 本地平台测试
from selenium import webdriver
from time import sleep
import os
from testcases import run_test

# 调用driver
def get_driver():
  # 循环3次，调用远程webdriver
  for i in range(0, 2):
   try:
       # 调用远程driver，获取成功即返回
       if i==0:
         # 等待5秒后重新获取
         sleep(5)
       elif i == 1:
         # 等待10秒后重新获取
         sleep(10)
       else:
         # 等待15秒后重新获取
         sleep(15)
       driver = webdriver.Chrome()
       return driver
   except Exception:
     print ("正在等待webdriver启动，请稍候...")
  # 没有启动远程driver，程序终止
  print ("webdriver启动失败，请重新操作！")
  exit(1)

if __name__ == '__main__':
  
  # 调用获取driver函数
  driver = get_driver()

  # 设定窗口大小
  driver.set_window_size(800,600)

  # 打开本地html文件
  driver.get('file:///' + os.path.abspath('index.html'))
  
  # 开始测试
  run_test(driver)

  # 退出driver
  driver.quit()
